package com.jxdinfo.hussar.core.banner;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.banner.AbstractHussarBanner;
import java.util.Formatter;
import org.apache.catalina.util.ServerInfo;
import org.springframework.core.env.Environment;

public class HussarTomcatBanner extends AbstractHussarBanner {
  protected void injectEnvironmentInfoIntoBanner(Formatter paramFormatter, Environment paramEnvironment, Class<?> paramClass) {
    paramFormatter.format("Apache Tomcat Version: %s%n", new Object[] { ServerInfo.getServerInfo() });
    paramFormatter.format("%s%n", new Object[] { LINE_SEPARATOR });
  }
  
  protected boolean check() {
    try {
      getClass().getClassLoader().loadClass("org.apache.catalina.util.ServerInfo");
    } catch (ClassNotFoundException classNotFoundException) {
      return false;
    } 
    return true;
  }
  
  public int getOrder() {
    return 1;
  }
}
